Bug 19794 - Rename RLIST - Routing list notice template as it's not related to routing lists
Summary: Rename RLIST - Routing list notice template as it's not related to routing lists
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-11 21:31 UTC by Katrin Fischer
Modified: 2018-07-18 11:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19794: Rename RLIST notice to SERIAL_ALERT to better reflect its purpose (41.71 KB, patch)
2018-02-23 21:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19794: Rename RLIST notice to SERIAL_ALERT to better reflect its purpose (41.77 KB, patch)
2018-03-16 08:28 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 19794: Rename RLIST notice to SERIAL_ALERT to better reflect its purpose (41.82 KB, patch)
2018-04-16 15:00 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19794: (QA follow-up) Change tab to space (1.26 KB, patch)
2018-04-16 15:00 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19794: (follow-up) Add atomic update (1.14 KB, patch)
2018-04-17 05:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19794: (follow-up) Add atomic update (1.15 KB, patch)
2018-04-17 06:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19794: (follow-up) Add atomic update (1.20 KB, patch)
2018-04-17 06:13 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-12-11 21:31:33 UTC
The sample notice RLIST - Routing list has indeed nothing to do with routing lists, but is a sample template for patrons subscribing to get informed by email about newly arriving issues for their favourite serials. 

There is no connection to the routing list feature at all - so the name is confusing to a lot of people, even if the hint in the subscription form is correct already. I propose to rename the template (help from native speakers welcome):

SERIAL_ALERT - New serial issue
Comment 1 Katrin Fischer 2018-02-23 21:50:49 UTC
Created attachment 72162 [details] [review]
Bug 19794: Rename RLIST notice to SERIAL_ALERT to better reflect its purpose

The RLIST sample notice is used to send an email to patrons who have
subscribed to be notified when a new issue for a subscription arrives.

This is a feature that is totally independent and not related to the
use of routing lists. In the GUI however, this was misleading so far.

- Rename  RLIST to SERIAL_ALERT and fixes the sample notices
- Fix explanations in the helf files
- Fix name of the module in letters from 'serials (routing list)'
  to 'serials (new issue)'

Note: There is no logic to be changed as the notice template
to be used is defined for each subscriptions and this is just
the sample notice. I've also opted against a database update, to not
interfere with existing installations, reports etc.

A patch to the manual will be submitted shortly after this passes QA.
Comment 2 Brendan Gallagher 2018-03-16 08:28:16 UTC
Created attachment 72990 [details] [review]
Bug 19794: Rename RLIST notice to SERIAL_ALERT to better reflect its purpose

The RLIST sample notice is used to send an email to patrons who have
subscribed to be notified when a new issue for a subscription arrives.

This is a feature that is totally independent and not related to the
use of routing lists. In the GUI however, this was misleading so far.

- Rename  RLIST to SERIAL_ALERT and fixes the sample notices
- Fix explanations in the helf files
- Fix name of the module in letters from 'serials (routing list)'
  to 'serials (new issue)'

Note: There is no logic to be changed as the notice template
to be used is defined for each subscriptions and this is just
the sample notice. I've also opted against a database update, to not
interfere with existing installations, reports etc.

A patch to the manual will be submitted shortly after this passes QA.

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Comment 3 Josef Moravec 2018-04-16 15:00:55 UTC
Created attachment 74242 [details] [review]
Bug 19794: Rename RLIST notice to SERIAL_ALERT to better reflect its purpose

The RLIST sample notice is used to send an email to patrons who have
subscribed to be notified when a new issue for a subscription arrives.

This is a feature that is totally independent and not related to the
use of routing lists. In the GUI however, this was misleading so far.

- Rename  RLIST to SERIAL_ALERT and fixes the sample notices
- Fix explanations in the helf files
- Fix name of the module in letters from 'serials (routing list)'
  to 'serials (new issue)'

Note: There is no logic to be changed as the notice template
to be used is defined for each subscriptions and this is just
the sample notice. I've also opted against a database update, to not
interfere with existing installations, reports etc.

A patch to the manual will be submitted shortly after this passes QA.

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Josef Moravec 2018-04-16 15:00:58 UTC
Created attachment 74243 [details] [review]
Bug 19794: (QA follow-up) Change tab to space

Test plan:
Run qa tools, it should be happy

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2018-04-16 16:59:22 UTC
> Note: There is no logic to be changed as the notice template
> to be used is defined for each subscriptions and this is just
> the sample notice. I've also opted against a database update, to not
> interfere with existing installations, reports etc.

Sure?
I would update subscription.letter.
Comment 6 Katrin Fischer 2018-04-16 19:11:26 UTC
(In reply to Jonathan Druart from comment #5)
> > Note: There is no logic to be changed as the notice template
> > to be used is defined for each subscriptions and this is just
> > the sample notice. I've also opted against a database update, to not
> > interfere with existing installations, reports etc.
> 
> Sure?
> I would update subscription.letter.

Hm, can you explain? This only takes effect for new installations as it is now and old ones will be left unchanged. We could, but it won't break anything if we don't, as there is no hardcoded reference to RLIST.
Comment 7 Katrin Fischer 2018-04-17 05:53:23 UTC
Created attachment 74287 [details] [review]
Bug 19794: (follow-up) Add atomic update

The update will
- change the RLIST notice code to SERIAL_ALERT
- adapt the description if it has remained unchanged from
  'Routing List' to 'New serial issue'
- update subscriptions to use the new notice code
Comment 8 Katrin Fischer 2018-04-17 05:54:07 UTC
Added a database update as requested by RM.
Comment 9 Josef Moravec 2018-04-17 06:00:32 UTC
Comment on attachment 74287 [details] [review]
Bug 19794: (follow-up) Add atomic update

Review of attachment 74287 [details] [review]:
-----------------------------------------------------------------

::: installer/data/mysql/atomicupdate/bug_19794_update_rlist.sql
@@ +1,3 @@
> +UPDATE letter SET code = "SERIAL_ALERT" WHERE code = "RLIST";
> +UPDATE letter SET name = "New serial issue" WHERE name = "Routing List";
> +UPDATE letter SET name = "New serial issue" WHERE name = "Routing List";

This is duplicate.

You are missing:
UPDATE subscription SET letter = "SERIAL_ALERT" WHERE letter = "RLIST";
Comment 10 Katrin Fischer 2018-04-17 06:02:12 UTC
Argh, sorry. I tested it all, but silly copy & paste mistake.
Comment 11 Katrin Fischer 2018-04-17 06:08:18 UTC
Created attachment 74289 [details] [review]
Bug 19794: (follow-up) Add atomic update

The update will
- change the RLIST notice code to SERIAL_ALERT
- adapt the description if it has remained unchanged from
  'Routing List' to 'New serial issue'
- update subscriptions to use the new notice code
Comment 12 Josef Moravec 2018-04-17 06:13:52 UTC
Created attachment 74290 [details] [review]
Bug 19794: (follow-up) Add atomic update

The update will
- change the RLIST notice code to SERIAL_ALERT
- adapt the description if it has remained unchanged from
  'Routing List' to 'New serial issue'
- update subscriptions to use the new notice code

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 13 Jonathan Druart 2018-04-19 15:42:39 UTC
Pushed to master for 18.05, thanks to everybody involved!